Beta — endpoints, schemas, limits and examples may change before general availability.
Hellomateo API Documentation
Imports

List Contact Imports

GET
/v1/contacts/imports

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

status?string
status[in]?string
external_id?string
external_id[in]?string
external_id[is_null]?true
external_id[not_null]?true
limit?integer
Default10
Range0 <= value <= 100
page_token?string
Length1 <= length

Response Body

application/json

curl -X GET "https://api.getmateo.com/v1/contacts/imports"
{  "object": "list",  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",      "type": "appointment_details",      "external_id": "string",      "contact_list_id": "9298fd5a-be3d-43b6-a1ce-512c7e72f589",      "contact_list_external_id": "string",      "allow_deal_reassignment": true,      "allow_appointment_reassignment": true,      "status": "pending",      "started_at": "2019-08-24T14:15:22Z",      "completed_at": "2019-08-24T14:15:22Z",      "total_count": 9007199254740991,      "success_count": 9007199254740991,      "failed_count": 9007199254740991,      "failure": {        "code": "string",        "message": "string"      },      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "next_page_url": "string",  "previous_page_url": "string"}